Tp::OrFilter< T > Class Template Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | List of all members
Tp::OrFilter< T > Class Template Reference
Utililty classes

The OrFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/OrFilter>`

Inherits Tp::Filter< T >.

## Public Member Functions
virtual | ~OrFilter ()
virtual bool | isValid () const
virtual bool | matches (const SharedPtr< T > &t) const
QList< SharedPtr< const Filter < T > > > | filters () const
Public Member Functions inherited from Tp::Filter< T >
virtual | ~Filter ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static SharedPtr< OrFilter< T > > | create (const QList< SharedPtr< const Filter< T > > > &filters=QList< SharedPtr< const Filter< T > > >())

## Additional Inherited Members
Protected Member Functions inherited from Tp::Filter< T >
| Filter ()

## Detailed Description

### template<class T>
class Tp::OrFilter< T >

The OrFilter class provides a generic filter object to be used in conjunction of other filters.

The OrFilter will match if any of its given list of filters matches their criteria.

## Constructor & Destructor Documentation

template<class T >

virtual Tp::OrFilter< T >::~OrFilter | ( |  | ) |
| inlinevirtual

## Member Function Documentation

template<class T >

static SharedPtr<OrFilter<T> > Tp::OrFilter< T >::create | ( | const QList< SharedPtr< const Filter< T > > > & | filters = `QList<SharedPtr<const Filter<T> > >()` | ) |
| inlinestatic

template<class T >

virtual bool Tp::OrFilter< T >::isValid | ( |  | ) | const
| inlinevirtual

Reimplemented from Tp::Filter< T >.

template<class T >

virtual bool Tp::OrFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const
| inlinevirtual

Reimplemented from Tp::Filter< T >.

template<class T >

QList<SharedPtr<const Filter<T> > > Tp::OrFilter< T >::filters | ( |  | ) | const
| inline